diff -uNr 3.5/includes/defaults.inc unipops-3.6/includes/defaults.inc
--- 3.5/includes/defaults.inc	2000-03-16 11:33:34.000000000 -0700
+++ unipops-3.6/includes/defaults.inc	2008-12-29 14:37:59.000000000 -0700
@@ -1,8 +1,8 @@
-       INTEGER*2 OFFSETS(  141), NUMTAGS
-       REAL*8 DEFVALUES(  141)
-       DATA NUMTAGS/  141/
-      DATA OFFSETS(  1) /     1/, DEFVALUES(  1) /X'7FF0000000000000'/
-      DATA OFFSETS(  2) / 16390/, DEFVALUES(  2) /X'7FF0000000000000'/
+       INTEGER*2 OFFSETS( 144), NUMTAGS
+       REAL*8 DEFVALUES( 144)
+       DATA NUMTAGS/ 144/
+      DATA OFFSETS(  1) /   144/, DEFVALUES(  1) /X'          93AA1C'/
+      DATA OFFSETS(  2) / 16390/, DEFVALUES(  2) /X'          93AA1C'/
       DATA OFFSETS(  3) / 16391/, DEFVALUES(  3) /3.0                /
       DATA OFFSETS(  4) / 16392/, DEFVALUES(  4) /1.0                /
       DATA OFFSETS(  5) / 16393/, DEFVALUES(  5) /1.0                /
@@ -61,33 +61,33 @@
       DATA OFFSETS( 58) / 16446/, DEFVALUES( 58) /-1.0               /
       DATA OFFSETS( 59) / 16447/, DEFVALUES( 59) /11111.             /
       DATA OFFSETS( 60) / 16448/, DEFVALUES( 60) /-1.0               /
-      DATA OFFSETS( 61) / 16449/, DEFVALUES( 61) /X'7FF0000000000000'/
-      DATA OFFSETS( 62) / 16450/, DEFVALUES( 62) /X'7FF0000000000000'/
-      DATA OFFSETS( 63) / 16451/, DEFVALUES( 63) /X'7FF0000000000000'/
-      DATA OFFSETS( 64) / 16452/, DEFVALUES( 64) /X'7FF0000000000000'/
-      DATA OFFSETS( 65) / 16453/, DEFVALUES( 65) /X'7FF0000000000000'/
-      DATA OFFSETS( 66) / 16454/, DEFVALUES( 66) /X'7FF0000000000000'/
-      DATA OFFSETS( 67) / 16455/, DEFVALUES( 67) /X'7FF0000000000000'/
-      DATA OFFSETS( 68) / 16456/, DEFVALUES( 68) /X'7FF0000000000000'/
-      DATA OFFSETS( 69) / 16457/, DEFVALUES( 69) /X'7FF0000000000000'/
-      DATA OFFSETS( 70) / 16458/, DEFVALUES( 70) /X'7FF0000000000000'/
-      DATA OFFSETS( 71) / 16459/, DEFVALUES( 71) /X'7FF0000000000000'/
-      DATA OFFSETS( 72) / 16460/, DEFVALUES( 72) /X'7FF0000000000000'/
-      DATA OFFSETS( 73) / 16461/, DEFVALUES( 73) /X'7FF0000000000000'/
-      DATA OFFSETS( 74) / 16462/, DEFVALUES( 74) /X'7FF0000000000000'/
-      DATA OFFSETS( 75) / 16463/, DEFVALUES( 75) /X'7FF0000000000000'/
-      DATA OFFSETS( 76) / 16464/, DEFVALUES( 76) /X'7FF0000000000000'/
-      DATA OFFSETS( 77) / 16465/, DEFVALUES( 77) /X'7FF0000000000000'/
-      DATA OFFSETS( 78) / 16466/, DEFVALUES( 78) /X'7FF0000000000000'/
-      DATA OFFSETS( 79) / 16467/, DEFVALUES( 79) /X'7FF0000000000000'/
-      DATA OFFSETS( 80) / 16468/, DEFVALUES( 80) /X'7FF0000000000000'/
-      DATA OFFSETS( 81) / 16469/, DEFVALUES( 81) /X'7FF0000000000000'/
-      DATA OFFSETS( 82) / 16470/, DEFVALUES( 82) /X'7FF0000000000000'/
-      DATA OFFSETS( 83) / 16471/, DEFVALUES( 83) /X'7FF0000000000000'/
-      DATA OFFSETS( 84) / 16472/, DEFVALUES( 84) /X'7FF0000000000000'/
-      DATA OFFSETS( 85) / 16473/, DEFVALUES( 85) /X'7FF0000000000000'/
-      DATA OFFSETS( 86) / 16474/, DEFVALUES( 86) /X'7FF0000000000000'/
-      DATA OFFSETS( 87) / 16475/, DEFVALUES( 87) /X'7FF0000000000000'/
+      DATA OFFSETS( 61) / 16449/, DEFVALUES( 61) /X'          93AA1C'/
+      DATA OFFSETS( 62) / 16450/, DEFVALUES( 62) /X'          93AA1C'/
+      DATA OFFSETS( 63) / 16451/, DEFVALUES( 63) /X'          93AA1C'/
+      DATA OFFSETS( 64) / 16452/, DEFVALUES( 64) /X'          93AA1C'/
+      DATA OFFSETS( 65) / 16453/, DEFVALUES( 65) /X'          93AA1C'/
+      DATA OFFSETS( 66) / 16454/, DEFVALUES( 66) /X'          93AA1C'/
+      DATA OFFSETS( 67) / 16455/, DEFVALUES( 67) /X'          93AA1C'/
+      DATA OFFSETS( 68) / 16456/, DEFVALUES( 68) /X'          93AA1C'/
+      DATA OFFSETS( 69) / 16457/, DEFVALUES( 69) /X'          93AA1C'/
+      DATA OFFSETS( 70) / 16458/, DEFVALUES( 70) /X'          93AA1C'/
+      DATA OFFSETS( 71) / 16459/, DEFVALUES( 71) /X'          93AA1C'/
+      DATA OFFSETS( 72) / 16460/, DEFVALUES( 72) /X'          93AA1C'/
+      DATA OFFSETS( 73) / 16461/, DEFVALUES( 73) /X'          93AA1C'/
+      DATA OFFSETS( 74) / 16462/, DEFVALUES( 74) /X'          93AA1C'/
+      DATA OFFSETS( 75) / 16463/, DEFVALUES( 75) /X'          93AA1C'/
+      DATA OFFSETS( 76) / 16464/, DEFVALUES( 76) /X'          93AA1C'/
+      DATA OFFSETS( 77) / 16465/, DEFVALUES( 77) /X'          93AA1C'/
+      DATA OFFSETS( 78) / 16466/, DEFVALUES( 78) /X'          93AA1C'/
+      DATA OFFSETS( 79) / 16467/, DEFVALUES( 79) /X'          93AA1C'/
+      DATA OFFSETS( 80) / 16468/, DEFVALUES( 80) /X'          93AA1C'/
+      DATA OFFSETS( 81) / 16469/, DEFVALUES( 81) /X'          93AA1C'/
+      DATA OFFSETS( 82) / 16470/, DEFVALUES( 82) /X'          93AA1C'/
+      DATA OFFSETS( 83) / 16471/, DEFVALUES( 83) /X'          93AA1C'/
+      DATA OFFSETS( 84) / 16472/, DEFVALUES( 84) /X'          93AA1C'/
+      DATA OFFSETS( 85) / 16473/, DEFVALUES( 85) /X'          93AA1C'/
+      DATA OFFSETS( 86) / 16474/, DEFVALUES( 86) /X'          93AA1C'/
+      DATA OFFSETS( 87) / 16475/, DEFVALUES( 87) /X'          93AA1C'/
       DATA OFFSETS( 88) / 16476/, DEFVALUES( 88) /0.0                /
       DATA OFFSETS( 89) / 16477/, DEFVALUES( 89) /0.0                /
       DATA OFFSETS( 90) / 16478/, DEFVALUES( 90) /0.84               /
@@ -107,13 +107,13 @@
       DATA OFFSETS(104) / 16492/, DEFVALUES(104) /0.0                /
       DATA OFFSETS(105) / 16493/, DEFVALUES(105) /0.0                /
       DATA OFFSETS(106) / 16494/, DEFVALUES(106) /0.0                /
-      DATA OFFSETS(107) / 16495/, DEFVALUES(107) /X'7FF0000000000000'/
-      DATA OFFSETS(108) / 16496/, DEFVALUES(108) /X'7FF0000000000000'/
-      DATA OFFSETS(109) / 16504/, DEFVALUES(109) /X'7FF0000000000000'/
-      DATA OFFSETS(110) / 16508/, DEFVALUES(110) /X'7FF0000000000000'/
-      DATA OFFSETS(111) / 16512/, DEFVALUES(111) /X'7FF0000000000000'/
-      DATA OFFSETS(112) / 16516/, DEFVALUES(112) /X'7FF0000000000000'/
-      DATA OFFSETS(113) / 16517/, DEFVALUES(113) /X'7FF0000000000000'/
+      DATA OFFSETS(107) / 16495/, DEFVALUES(107) /X'          93AA1C'/
+      DATA OFFSETS(108) / 16496/, DEFVALUES(108) /X'          93AA1C'/
+      DATA OFFSETS(109) / 16504/, DEFVALUES(109) /X'          93AA1C'/
+      DATA OFFSETS(110) / 16508/, DEFVALUES(110) /X'          93AA1C'/
+      DATA OFFSETS(111) / 16512/, DEFVALUES(111) /X'          93AA1C'/
+      DATA OFFSETS(112) / 16516/, DEFVALUES(112) /X'          93AA1C'/
+      DATA OFFSETS(113) / 16517/, DEFVALUES(113) /X'          93AA1C'/
       DATA OFFSETS(114) / 16519/, DEFVALUES(114) / 0.0               /
       DATA OFFSETS(115) / 16521/, DEFVALUES(115) / 0.0               /
       DATA OFFSETS(116) / 16553/, DEFVALUES(116) / 0.0               /
@@ -131,14 +131,17 @@
       DATA OFFSETS(128) / 16805/, DEFVALUES(128) / 0.0               /
       DATA OFFSETS(129) / 16817/, DEFVALUES(129) / 0.0               /
       DATA OFFSETS(130) / 16822/, DEFVALUES(130) / 0.0               /
-      DATA OFFSETS(131) / 16852/, DEFVALUES(131) /X'7FF0000000000000'/
+      DATA OFFSETS(131) / 16852/, DEFVALUES(131) /X'          93AA1C'/
       DATA OFFSETS(132) / 16862/, DEFVALUES(132) /-999999.           /
       DATA OFFSETS(133) / 16894/, DEFVALUES(133) /-999999.           /
       DATA OFFSETS(134) / 16926/, DEFVALUES(134) / 0.0               /
       DATA OFFSETS(135) / 16941/, DEFVALUES(135) / 0.0               /
       DATA OFFSETS(136) / 16973/, DEFVALUES(136) / 0.0               /
       DATA OFFSETS(137) / 17005/, DEFVALUES(137) /-16.0              /
-      DATA OFFSETS(138) / 17101/, DEFVALUES(138) /X'7FF0000000000000'/
-      DATA OFFSETS(139) / 17102/, DEFVALUES(139) /X'7FF0000000000000'/
-      DATA OFFSETS(140) / 17103/, DEFVALUES(140) /X'7FF0000000000000'/
-      DATA OFFSETS(141) / 17104/, DEFVALUES(141) /X'7FF0000000000000'/
+      DATA OFFSETS(138) / 17101/, DEFVALUES(138) /X'          93AA1C'/
+      DATA OFFSETS(139) / 17102/, DEFVALUES(139) /X'          93AA1C'/
+      DATA OFFSETS(140) / 17103/, DEFVALUES(140) /X'          93AA1C'/
+      DATA OFFSETS(141) / 17104/, DEFVALUES(141) /.0                 /
+      DATA OFFSETS(142) / 17105/, DEFVALUES(142) /X'          93AA1C'/
+      DATA OFFSETS(143) / 17106/, DEFVALUES(143) /.0                 /
+      DATA OFFSETS(144) / 17107/, DEFVALUES(144) /X'          93AA1C'/
diff -uNr 3.5/includes/lsf.inc unipops-3.6/includes/lsf.inc
--- 3.5/includes/lsf.inc	2000-03-16 11:28:48.000000000 -0700
+++ unipops-3.6/includes/lsf.inc	2008-12-29 14:37:57.000000000 -0700
@@ -6,5 +6,5 @@
       COMMON /LSF/ LISTF
 c
 c     listf = array containing the listings of the currently
-c	avaialable procedures
+c	available procedures
 c
diff -uNr 3.5/includes/sdd.h unipops-3.6/includes/sdd.h
--- 3.5/includes/sdd.h	2000-03-16 11:28:49.000000000 -0700
+++ unipops-3.6/includes/sdd.h	2008-12-29 14:37:58.000000000 -0700
@@ -14,8 +14,23 @@
  *
 */
 
+
+/* some macros for swapping the byte order */
+//#define SWAP_SHORT(Var)  Var = *(short*) SwapEndian((void*)&Var, sizeof(short))
+//#define SWAP_LONG(Var)   Var = *(int*) SwapEndian((void*)&Var, sizeof(int))
+//#define SWAP_FLOAT(Var)  Var = *(float*) SwapEndian((void*)&Var, sizeof(float))
+//#define SWAP_DOUBLE(Var) Var = *(double*) SwapEndian((void*)&Var, sizeof(double))
+//#define SWAP_ARRAY(Var, size) Var = (void*)SwapEndian((void*)&Var, size)
+
 #define NUMBER_HEADER_CLASS 13
 
+//extern void *SwapEndian(void* Addr, const int Nb);
+
+extern void swapdouble(double *dp, int n);
+extern void swapfloat(float *fp, int n);
+extern void swaplong(unsigned int *lp, int n);
+extern void swapshort(unsigned short *sp, int n);
+
 /*		class 11 is still in the proto type phase */
 /*		for now, a number of the parameters here are */
 /*		dependant on each other, modify them carefully */
diff -uNr 3.5/includes/smt/pdfl.h unipops-3.6/includes/smt/pdfl.h
--- 3.5/includes/smt/pdfl.h	1969-12-31 17:00:00.000000000 -0700
+++ unipops-3.6/includes/smt/pdfl.h	2008-12-29 14:37:59.000000000 -0700
@@ -0,0 +1,91 @@
+/*
+** @(#)pdfl.h	5.1 06/22/94
+**
+** data structures useful for tucson pdfl files
+**
+*/
+
+#ifndef PDFL_H
+
+typedef struct 	{
+	short	ndir;		/* No. of blocks in directory table */
+        short   maxent;		/* Max no. of entries in dir table  */
+        short   bytperent;	/* bytes per dir table entry */ 
+	short   nextent;	/* next available dir table entry */
+	short   lastblk;	/* block of next available entry */
+	short   nextblk;        /* next block location in file for data */
+
+				/* these 6 are not used by unipops */
+	short   nxtb;		/* last dir table block currently used */
+	short	nbcal;		/* first block where cal data are stored */
+	short	nbsv;		/* first block where save scans stored */
+	short   nbwrk;		/* first block of integration work area */
+	short	nbscr;		/* first block of link task scratch area */
+        short	pftype;		/* POPS file type */
+
+	char	obsname[16];	/* observer name */
+	char	pid[8];		/* Project ID */
+
+	char	binfmt_id[16];	/* Binary number format ID */
+
+	short	ifiller[224];   /* fills it out to 512 bytes */ 	
+	}	pdfl_bs_block;  /* bootstrap block */
+
+/*	WARNING:  This gets padded out to 64 bytes !!! */
+
+typedef struct {
+	long	scan_number;	
+	char	mode[4];	
+	long	blk1;		/* block location of first "feed" */
+	long    nblk1; 		/* number of blocks for first "feed" */
+	long    blk2;		/* block location of second "feed" */
+        long    nblk2;		/* number of block for second "feed" */
+	char	source_name[16];
+	double	velocity, rest_freq;
+        short   subscan;
+} pdfl_index_entry;
+
+typedef struct {
+	long	scan_number;	
+	char	mode[4];	
+	long	blk1;		/* block location of first "feed" */
+	long    nblk1; 		/* number of blocks for first "feed" */
+	long    blk2;		/* block location of second "feed" */
+        long    nblk2;		/* number of block for second "feed" */
+	char	source_name[16];
+	double	velocity, rest_freq;
+} old_pdfl_index_entry;
+
+typedef struct {
+	long	scan_number;
+        }	gzfl_index_entry;   /* old, pre Sept 91 gzfl index format */
+
+typedef struct {
+	long	scan_number;
+	char	type[2]; 	/* ED, edit scans, KP, keep scans */
+	char	mode[2];	/* LI, line, CO, continuum */
+	short	blk;
+	short   nblk;		
+	}	pkfl_index_entry;	
+
+#define PDBUFSIZE sizeof(pdfl_bs_block)
+#define MAXENT 2048
+/*		see warning above for reason why sizeof won't work here */
+#define BYTPERENT 58
+#define OLD_BYTPERENT sizeof(old_pdfl_index_entry)
+#define NDIR ((MAXENT * BYTPERENT) / PDBUFSIZE)
+#define OLD_NDIR ((MAXENT * OLD_BYTPERENT) / PDBUFSIZE)
+#define INDEX_BLOCK(ENTRY) (((ENTRY)*(BYTPERENT))/(PDBUFSIZE))
+#define BLOCK_OFFSET(ENTRY)(((ENTRY)*(BYTPERENT)) % (PDBUFSIZE))
+#define ISNEW(A) ((A).bs.bytperent == BYTPERENT)
+
+typedef struct {
+	int fd;		/* file descriptor */
+	char name[256]; /* name of file */
+	pdfl_bs_block bs; 	/* boot strap block */
+	pdfl_index_entry index[MAXENT]; /* index, gains if GZFL file */
+        old_pdfl_index_entry old_index[MAXENT]; /* used only for old type */
+	} pdfl_file;
+
+#define PDFL_H
+#endif
diff -uNr 3.5/includes/smt/smt_online_sdd.h unipops-3.6/includes/smt/smt_online_sdd.h
--- 3.5/includes/smt/smt_online_sdd.h	1969-12-31 17:00:00.000000000 -0700
+++ unipops-3.6/includes/smt/smt_online_sdd.h	2008-12-29 14:37:59.000000000 -0700
@@ -0,0 +1,197 @@
+/* ---------------------------------------------------------------------------
+ *  @(#)smt_online_sdd.h	5.2 09/10/98
+ * ---------------------------------------------------------------------------
+
+/*
+ * on_line data structure for pdfl files written at the 12-meter
+ * Hopefully this will work for the SMT -- we never used PDFL... -CAK
+ * This is from pdfl.h version 1.9 (9/24/92) of the cactus system 
+ */
+
+typedef struct smt_sdd_header
+{
+	short		number_header_class;
+        short		class_location[15];
+
+	double		header_length;
+	double		data_length;
+	double		scan_number;
+	char		observer_initials[8];
+	char		observer_name[16];
+	char		telescope[8];
+	char		project_ident[8];
+	char		source_name[16];
+	char		type_data[8];
+	char		front_end_desc[8];
+	char		back_end_desc[8];
+	char		data_precision[8];
+
+	double		tot_azra_pointing;
+	double		tot_eldec_pointing;
+	double		user_azra_pointing;
+	double		user_eldec_pointing;
+	double		pointing_constant[4];
+	double		orient_angle;
+	double		radial_focus;
+	double		north_south_focus;
+	double		east_west_focus;
+	char		pt_model[8];
+
+	double		ut_date;
+	double		utime;
+	double		lst;
+	double		nb_receiv_channels;
+	double		nb_sw_variables;
+	double		nb_phases;
+	double		length_cycle;
+	double		length_sample;
+	char		class11_type[8];
+
+	double		epoch;
+	double		sourcex;
+	double		sourcey;
+	double		referencex;
+	double		referencey;
+	double		epoch_ra;
+	double		epoch_dec;
+	double		galactic_l;
+	double		galactic_b;
+	double		azimuth;
+	double		elevation;
+	double		xposition;
+	double		yposition;
+	double		desc_origin[3];
+	char		coord_sys_code[8];
+
+	double		amb_temp;
+        double          pressure;
+        double          relative_humidity;
+        double          index_refraction;
+        double          dew_point;
+        double          mm_h2o;
+
+	double		map_scan_angle;
+	double		xposition_zero;
+	double		yposition_zero;
+ 	double		deltax_rate;
+	double		deltay_rate;
+	double		nb_grid_pt;
+	double		x_grid_pt;
+	double		y_grid_pt;
+	double		x_grid_cell_nb;
+	double		y_grid_cell_nb;
+	char		xy_ref_frame_code[8];
+
+	double		beam;
+	double		off_scan_nb;
+	double		bad_channel_value;
+	double		velocity_correct;
+	double		velocity_ref;
+	char		velocity_def_ref[8];
+	char		type_calibration[8];
+
+	double		antenna_aperature_eff;
+        double          antenna_beam_eff;
+        double          antenna_gain;
+        double          etal;
+        double          etalfss;
+
+	double 		synth_freq;
+	double		lo_factor;
+	double		harmonic;
+	double		lo_if;
+	double		first_if;
+	double		ref_AZ_offset;
+	double		ref_EL_offset;
+	double		beam_throw;
+	double		beam_orient;
+	double		bl_offset;
+	double		obs_tol;
+	double		sideband;
+	double		wavelength;
+	double		gain_scan;
+	double		p_beam[2];
+	double		m_beam[2];
+	double		RA_DEC_offsets[4];
+	double		freq_off_signal;
+	double		freq_off_ref_1;
+	double		freq_off_ref_2;
+
+	char		open_param_values[80];
+
+	double		nb_sw_variables_fast;
+        double		nb_cycles;
+        double		nb_cycles_fast;
+        double		nb_phases_fast;
+        double		length_cycle_fast;
+        double		length_sample_fast;
+        struct {
+           double          variable_value;
+           char            variable_desc[8];
+           char            phase_table[32];
+        } cl11ent[10];
+/*		10 used here but only 5 in the original pdfl.h */
+
+	double		obs_freq;
+	double		rest_freq;
+	double		freq_resolution;
+	double		bandwidth;
+	double		receiver_temp;
+	double		calibration_temp;
+	double		source_syst_temp;
+	double		ref_sys_temp;
+	double		source_temp;
+	double		std_deviation_mean;
+	double		ref_point_nb;
+	double		xvalue_ref_pt;
+	double		deltax;
+	double		tot_integ_time;
+	double		nb_integrations;
+	double		starting_pt_nb;
+	double		h2o_opacity;
+	double		h2o_temp;
+	double		o2_opacity;
+	double		o2_temp;
+	char		polarization[8];
+	double		effint;
+	char		receiver_info[16];
+
+	double		nb_scans_stacked;
+	double		f_scan_stack;
+	double		l_scan_stack;
+	double		line_amplitude;
+	double		line_width;
+	double		integrated_line_int;
+	double		rms_noise;
+	double		save[38];
+
+} smtsddheader;
+
+#ifndef MAX_DATA_POINTS
+#define MAX_DATA_POINTS 16384  /* max number of data values */
+#endif
+
+typedef struct smt_sdd_format
+{
+	smtsddheader header;
+	float data[MAX_DATA_POINTS];
+} smtsddformat;
+
+/*		the default class pointers for this structure	*/
+
+#define TUC_NUMBER_HEADER_CLASS 13
+#define TUC_CLASS_1 5
+#define TUC_CLASS_2 19
+#define TUC_CLASS_3 32
+#define TUC_CLASS_4 41
+#define TUC_CLASS_5 58
+#define TUC_CLASS_6 64
+#define TUC_CLASS_7 75
+#define TUC_CLASS_8 82
+#define TUC_CLASS_9 87
+#define TUC_CLASS_10 112
+#define TUC_CLASS_11 122		
+#define TUC_CLASS_12 188
+#define TUC_CLASS_13 212
+#define TUC_CLASS_14 257
+#define TUC_CLASS_15 0
diff -uNr 3.5/includes/smt/smtaccess.h unipops-3.6/includes/smt/smtaccess.h
--- 3.5/includes/smt/smtaccess.h	1969-12-31 17:00:00.000000000 -0700
+++ unipops-3.6/includes/smt/smtaccess.h	2008-12-29 14:37:59.000000000 -0700
@@ -0,0 +1,67 @@
+
+/* @(#)smtaccess.h	09/21/06 */
+
+#ifndef SMTACCESS_H
+
+#include <files.h>
+
+typedef struct {
+   sddfile datafile;
+   sddfile gainfile;
+   int data_status;
+   int gain_status;
+   int version;
+   char type[8];
+} smtfile;
+
+smtfile onfile[6];
+
+char obsinit[6], datadir[160];
+
+int filetype;
+
+
+#define ST_OK 0			/* the file is fine */
+#define ST_UNAVAIL -1		/* the file is not to be opened */
+
+/*			these match the values in POPSDAT.ADVERBS */
+
+#define HCTYPE 1
+#define FBTYPE 2
+#define CONTYPE 3
+#define AOSTYPE 4
+#define FFBTYPE 5
+#define CTSTYPE 6
+
+static struct {
+   char *c;
+} ftype[6] = {
+   "HCTYPE",
+   "FBTYPE",
+   "CONTYPE",
+   "AOSTYPE",
+   "FFBTYPE",
+   "CTSTYPE"
+};
+
+#define SDDFMT 0
+#define IEEEFMT 1
+
+typedef struct {
+   double def_val;
+   char source_name[16];
+   char obs_mode[8];
+   double scan_min, scan_max;
+   double feed_min, feed_max;
+   double x_min, x_max;
+   double y_min, y_max;
+   double lst_min, lst_max;
+   double ut_min, ut_max;
+   double bw_min, bw_max;
+   double f_min, f_max;
+   double rate_min, rate_max;
+   double int_min, int_max;
+} sel_params;
+
+#define SMTACCESS_H
+#endif
diff -uNr 3.5/includes/tuc/pdfl.h unipops-3.6/includes/tuc/pdfl.h
--- 3.5/includes/tuc/pdfl.h	2000-03-16 11:30:36.000000000 -0700
+++ unipops-3.6/includes/tuc/pdfl.h	2008-12-29 14:37:56.000000000 -0700
@@ -1,7 +1,7 @@
 /*
 ** @(#)pdfl.h	5.1 06/22/94
 **
-** data structures usefull for tucson pdfl files
+** data structures useful for tucson pdfl files
 **
 */
 
diff -uNr 3.5/includes/tuc/tuc_online_sdd.h unipops-3.6/includes/tuc/tuc_online_sdd.h
--- 3.5/includes/tuc/tuc_online_sdd.h	2000-03-16 11:29:58.000000000 -0700
+++ unipops-3.6/includes/tuc/tuc_online_sdd.h	2008-12-29 14:37:56.000000000 -0700
@@ -167,7 +167,7 @@
 } tucsddheader;
 
 #ifndef MAX_DATA_POINTS
-#define MAX_DATA_POINTS 16284  /* max number of data values */
+#define MAX_DATA_POINTS 16384  /* max number of data values */
 #endif
 
 typedef struct tuc_sdd_format
diff -uNr 3.5/includes/tuc/tucaccess.h unipops-3.6/includes/tuc/tucaccess.h
--- 3.5/includes/tuc/tucaccess.h	2000-03-16 11:37:57.000000000 -0700
+++ unipops-3.6/includes/tuc/tucaccess.h	2008-12-29 14:37:56.000000000 -0700
@@ -22,7 +22,7 @@
 
 
 #define ST_OK 0			/* the file is fine */
-#define ST_UNAVAIL -1		/* the file is not be opened */
+#define ST_UNAVAIL -1		/* the file is not to be opened */
 
 /*			these match the values in POPSDAT.ADVERBS */
 
diff -uNr 3.5/lnews/AlwaysAll/V3.6_Changes unipops-3.6/lnews/AlwaysAll/V3.6_Changes
--- 3.5/lnews/AlwaysAll/V3.6_Changes	1969-12-31 17:00:00.000000000 -0700
+++ unipops-3.6/lnews/AlwaysAll/V3.6_Changes	2008-12-29 14:39:20.000000000 -0700
@@ -0,0 +1,24 @@
+The following documents changes to UniPOPS since NRAO's version 3.5.
+
+
+I.  Numerous internal changes
+	- added byte-order sensitivity to input sdd files
+	- added byte order sensitivity to the parser
+	- removed all Solaris and sunmath library dependencies
+	- replaced Solaris libs with equivalent C functions
+	- removed support for SunView
+	- error returns are typically int*4, not shorts
+	- string math is done with equivalencies now, not implicitly
+	- cleaner make system and packaging
+	- eliminated need for a f77-capable preprocessor
+
+    This allows UniPOPS to be dramatically more portable.  The next 
+    incremental release will support 3 architectures (Intel, PowerPC, 
+    and Sparc) and 5 OS's (Solaris, Linux, Darwin/OSX, FreeBSD and 
+    NetBSD).
+
+
+II. A few sticky points remain.  EXPLAIN remains broken for non-Solaris 
+    architectures, though HELP remains available.  There is still no 
+    workable color support for generic X11 platforms.  
+
diff -uNr 3.5/procedures/LSETUP unipops-3.6/procedures/LSETUP
--- 3.5/procedures/LSETUP	1969-12-31 17:00:00.000000000 -0700
+++ unipops-3.6/procedures/LSETUP	2008-12-29 14:36:49.000000000 -0700
@@ -0,0 +1,59 @@
+batch a.prc
+batch add.prc
+batch fold.prc
+batch gshow.prc
+batch head.prc
+batch all.prc
+batch reset.prc
+batch addfeed.prc
+batch ldisk.prc
+batch halves.prc
+batch psmsave.prc
+# front end for TEMP (with setup) and its shorthand
+batch tonns.prc
+batch t.prc
+#       spectral line five-point, the basic one plus 2 shorthands
+batch fiveline.prc
+batch fivel1.prc
+batch fivel2.prc
+#       baseline related, bset1 and 2 depend on bsets which calls bset
+batch bset.prc
+batch bsets.prc
+batch bset1.prc
+batch bset2.prc
+# HC/FB selection procedures, also sets global spectype, used by other procs
+batch fbdata.prc
+batch hcdata.prc
+# and set up the default
+fbdata
+# cboth et al.
+batch cboth.prc
+batch xx12m.prc
+batch badch.prc
+# the following depend on cboth (which depends on all) and fbmode and gfbmode
+batch fbmode.prc
+batch gfbmode.prc
+#                disp12m includes s1, s2, and aliases for f and s
+batch disp12m.prc
+batch g.prc
+#                gcdisp12m includes g1 and g2
+batch gcdisp12m.prc
+#                gdisp12m includes ggets, gget1, gget2, gf, and gs
+batch gdisp12m.prc
+# averaging data, they depend on cboth and pstack and numsubs
+batch prcstack.prc
+batch pstack.prc
+#		cbavg.prc includes c1 and c2
+batch cbavg.prc
+batch c1p1.prc
+batch c1p2.prc
+batch cb.prc
+batch cb1.prc
+batch cb2.prc
+#		Just a general avg of the stack
+batch cstack.prc
+# 	aliases
+alias makecopy gcopy
+alias lf fiveline
+alias lf1 fivel1
+alias lf2 fivel2
diff -uNr 3.5/procedures/annotate.prc unipops-3.6/procedures/annotate.prc
--- 3.5/procedures/annotate.prc	2000-03-16 11:31:44.000000000 -0700
+++ unipops-3.6/procedures/annotate.prc	2008-12-29 14:36:39.000000000 -0700
@@ -1,6 +1,5 @@
 procedure annotate
 string*60 note
-#       place a string on the graphics screen
 print "Enter the text you wish to appear on the graphics screen."
 print "It must be surrounded by quotation marks"
 read note
diff -uNr 3.5/procedures/aosdata.prc unipops-3.6/procedures/aosdata.prc
--- 3.5/procedures/aosdata.prc	1969-12-31 17:00:00.000000000 -0700
+++ unipops-3.6/procedures/aosdata.prc	2008-12-29 14:36:49.000000000 -0700
@@ -0,0 +1,15 @@
+procedure aosdata
+#  Switch to AOS Data Stream, leave file version as is, set prompt
+#  Erroff is used so that this sets prompt and spectype even if no online data
+global scalar spectype
+if (status(15) = TRUE) then
+#   if online data is available, try and change to aostype
+   erroff
+   chngonline(aostype, aos_ver)
+   erron
+end
+prompt = "LineA>"
+spectype = aostype
+histogram
+return
+finish
diff -uNr 3.5/procedures/badch.prc unipops-3.6/procedures/badch.prc
--- 3.5/procedures/badch.prc	2000-03-16 11:31:44.000000000 -0700
+++ unipops-3.6/procedures/badch.prc	2008-12-29 14:36:39.000000000 -0700
@@ -25,8 +25,8 @@
    lsubscan = nint((h0(scan) - ifix(h0(scan))) * 100)
    loffset = 128 * (lsubscan - 1)
 end
-fprint(-1,"a,$") " Enter # of bad channels : "
-fread(-1,"i") bch
+fprint(-1,"A,$") " Enter # of bad channels : "
+fread(-1,"I2") bch
 if (bch <= 0) then; return; end
 if (bch > 12) then;
    print "You can only remove up to 12 bad channels at a time."
@@ -69,7 +69,7 @@
    if (ldamage) then
       print " Bad channels in scan # ", h3(scan)
       for i = 1 to lcount
-         fprint(-1, "i6,x,$") lbch(i)
+         fprint(-1, "I6,X,$") lbch(i)
          if (mod(i,6)=0) then
             fprint(-1," ") " "
          end
@@ -79,7 +79,7 @@
    if (rdamage) then
       print " Bad channels in scan # ", h4(scan)
       for i = 1 to rcount
-         fprint(-1, "i6,x,$") rbch(i)
+         fprint(-1, "I6,X,$") rbch(i)
          if (mod(i,6)=0) then
             fprint(-1," ") " "
          end
@@ -89,7 +89,7 @@
 else
    PRINT " Bad channels in scan # ", h0(scan)
    for i = 1 to bch
-      fprint(-1,"i6,x,$") lbch(i)
+      fprint(-1,"I6,X,$") lbch(i)
       if (mod(i,6)=0) then 
          fprint(-1," ") " " 
       end
diff -uNr 3.5/procedures/bset.prc unipops-3.6/procedures/bset.prc
--- 3.5/procedures/bset.prc	2000-03-16 11:31:45.000000000 -0700
+++ unipops-3.6/procedures/bset.prc	2008-12-29 14:36:39.000000000 -0700
@@ -5,14 +5,14 @@
 scalar i, blt, x1, x2, xtmp, j, tseg, continue, k, overlap
 array ntmp(32)
 nregion = 0
-fprint(-1,"a,$") "Enter # of Baseline regions, maximum of 16 : "
-fread(-1,"i") nseg
+fprint(-1,"A,$") "Enter # of Baseline regions, maximum of 16 : "
+fread(-1,"I2") nseg
 if (nseg <= 0 | nseg >16) then
    print "Illegal value : ",nseg
    return
 end
 FOR I = 1 TO NSEG; 
-   fprint(-1,"x,a,x,i2,x,a") "Indicate ends of region",I,"using the cursor"
+   fprint(-1,"X,A,X,I2,X,A") "Indicate ends of region",I,"using the cursor"
    X1=ifix(CCUR); x2 = ifix(ccur) 
    if (x2 < x1) then 
       xtmp = x1; x1 = x2; x2 = xtmp
diff -uNr 3.5/procedures/chkavrg.prc unipops-3.6/procedures/chkavrg.prc
--- 3.5/procedures/chkavrg.prc	2000-03-16 11:31:47.000000000 -0700
+++ unipops-3.6/procedures/chkavrg.prc	2008-12-29 14:36:40.000000000 -0700
@@ -35,7 +35,7 @@
    newccode = ccode; x=newx; y=newy
 end
 fclose(unit)
-sprint(strout,'a,a') '/bin/rm ',substr(f_sortstk,1,lnblnk(f_sortstk))
+sprint(strout,'A,A') '/bin/rm ',substr(f_sortstk,1,lnblnk(f_sortstk))
 z_system(strout)
 return
 finish
diff -uNr 3.5/procedures/ctsdata.prc unipops-3.6/procedures/ctsdata.prc
--- 3.5/procedures/ctsdata.prc	1969-12-31 17:00:00.000000000 -0700
+++ unipops-3.6/procedures/ctsdata.prc	2008-12-29 14:36:49.000000000 -0700
@@ -0,0 +1,15 @@
+procedure ctsdata
+#  Switch to Chirp Data Stream, leave file version as is, set prompt
+#  Erroff is used so that this sets prompt and spectype even if no online data
+global scalar spectype
+if (status(15) = TRUE) then
+#   if online data is available, try and change to ctstype
+   erroff
+   chngonline(ctstype, cts_ver)
+   erron
+end
+prompt = "LineC>"
+spectype = ctstype
+histogram
+return
+finish
